# Locations (Per Carrier)

## GET /perproxy/locations-proxy

> List available Per Proxy mobile proxy locations. Optionally filter by carrier

```json
{"openapi":"3.1.1","info":{"title":"Proxidize","version":"1.0.0"},"servers":[{"url":"https://api.proxidize.com/api/v1"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"http","scheme":"Bearer","in":"header","description":"Enter token as: Bearer <token>"}}},"paths":{"/perproxy/locations-proxy":{"get":{"operationId":"perproxy_location_proxy","description":"List available Per Proxy mobile proxy locations. Optionally filter by carrier","parameters":[{"schema":{"type":"string"},"name":"carrier","in":"query","description":"Carrier filter (e.g., '6614')","required":false}],"responses":{"200":{"description":"List of available mobile locations grouped by country","content":{"application/json":{"schema":{"type":"object","properties":{"locations":{"type":"array","items":{"type":"object","properties":{"country":{"type":"object","properties":{"name":{"description":"Country name (e.g., 'USA')","type":"string"},"value":{"description":"Country filter value (e.g., '-co-USA')","type":"string"},"locations":{"type":"array","items":{"type":"object","properties":{"label":{"description":"Human-readable location label (e.g., 'Dallas, TX')","type":"string"},"value":{"description":"Location filter value (e.g., '-co-USA-st-TX-ci-Dallas')","type":"string"},"average_speed":{"description":"Average proxy speed in the location (kbps)","type":"number"},"country":{"type":"string"},"state":{"type":"string"},"city":{"type":"string"}}}}}}}}}}}}}},"400":{"description":"Error retrieving data from service"}},"tags":["perproxy"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.proxidize.com/apis/rest-api-reference/per-proxy-mobile-proxies/locations-per-carrier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
